﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Globalization;

namespace AddressBook
{
    public class NameConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            string name;

            DisplayAsStyle displayAsStyle = (DisplayAsStyle)Enum.Parse(typeof(DisplayAsStyle), values[2].ToString());
            switch (displayAsStyle)
            {
                case DisplayAsStyle.LastNameFirstName:
                    name = String.Format("{1}, {0}", values[0], values[1]);
                    break;
                case DisplayAsStyle.FirstNameLastName:
                default:
                    name = String.Format("{0} {1}", values[0], values[1]);
                    break;
            }

            return name;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            string[] splitValues = ((string)value).Split(' ');
            return splitValues;
        }
    }
}
