using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AddressBook.Xfn;

namespace AddressBook
{
    public class Contact
    {
        private List<string> categories;

        public Contact()
        {
        }

        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Nickname { get; set; }
        public DisplayAsStyle DisplayAsStyle { get; set; }

        public PersonalInformation PersonalInformation { get; set; }
        public BusinessInformation BusinessInformation { get; set; }

        public string OtherEmailAddress { get; set; }
        public PreferredEmail PreferredEmail { get; set; }
        public PhoneNumber OtherPhoneNumber { get; set; }
        public Uri Website { get; set; }
        public DateTime BirthDate { get; set; }
        public string Notes { get; set; }

        public List<string> Categories
        {
            get
            {
                return this.categories;
            }
        }

        public XfnRelationships XfnRelationships { get; set; }
    }
}
