﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SelectionStatements
{
	enum Result
	{
		Higher,
		Lower,
		Equals,
	}

	public partial class Form1 : Form
	{
		private Random randomNumberGenerator = new Random();
		private int number;

		public Form1()
		{
			InitializeComponent();
			number = randomNumberGenerator.Next(1, 10);
		}

		private Result CheckGuess(decimal guess)
		{
			Result result;
			if (guess > number)
			{
				result = Result.Higher;
			}
			else if (guess < number)
			{
				result = Result.Lower;
			}
			else
			{
				result = Result.Equals;
			}

			return result;
		}

		private void buttonCheckGuess_Click(object sender, EventArgs e)
		{
			Result result = CheckGuess(this.numericUpDownGuess.Value);
			switch (result)
			{
				case Result.Equals:
					this.labelCongratulations.Visible = true;
					this.labelHigher.Visible = false;
					this.labelLower.Visible = false;
					break;

				case Result.Higher:
				case Result.Lower:
					this.labelCongratulations.Visible = false;
					this.labelHigher.Visible = result == Result.Higher;
					this.labelLower.Visible = result == Result.Lower;
					break;
			}
		}
	}
}
